﻿package {
	import flash.events.*;
	import flash.display.Sprite;
	import flash.display.Loader;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import TweenLite;

	public class Picloader extends Sprite {
		
		var loader:Loader = new Loader();
		var _preBg:PreBg = new PreBg(); //preloader bar
		
		public function Picloader() {
			loader.contentLoaderInfo.addEventListener(Event.OPEN,showPreloader);
			loader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS,showProgress);
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE,showLoadResult);
		}
		
		public function myLoader(i:uint):void {
			var data:XML = XMLSlideshow.data;
			var _slide:String = data.slide[i].url;
			LoaderExample(_slide);
		}
		
		private function LoaderExample(url:String):void {
			var request:URLRequest = new URLRequest(url);
			loader.load(request);
		}
		
		function showPreloader(evt:Event):void {
			addChild(_preBg);
			_preBg.x = 400;
			_preBg.y = 32;
			_preBg.width = 90;
			_preBg.height = 5;
			_preBg.alpha = 0.5;
		}
		
		function showProgress(evt:ProgressEvent):void {
			_preBg.gotoAndStop(Math.floor(evt.bytesLoaded/evt.bytesTotal*100));
		}
		
		function showLoadResult(evt:Event):void {
			addChild(loader);
			loader.alpha = 0;
			TweenLite.to(loader, 1, {alpha:1});
		}
	}
}